# Listing bank withdrawals

<mark style="color:green;">`GET`</mark> `/api/public/v1/transactions/bank_withdrawals`

This endpoint returns a list of all bank withdrawal transactions.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**URL Parameters**

<table><thead><tr><th width="166.71502685546875">Name</th><th width="130.13836669921875">Type</th><th>Description</th></tr></thead><tbody><tr><td>order</td><td>string</td><td>Order in which the list of transactions should be returned. Can be <code>created_at</code>.</td></tr><tr><td>order_type</td><td>string</td><td>Order type. Can be either <code>asc</code> or <code>desc</code>.</td></tr><tr><td>page</td><td>number</td><td>Page for which you want to return transactions.</td></tr><tr><td>per_page</td><td>number</td><td>Number of transactions per page to return.</td></tr><tr><td>created_at_from</td><td>string</td><td>Date and time filter. Supports timestamps in ISO 8601 format, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr><tr><td>created_at_to</td><td>string</td><td>Date and time filter. Supports timestamps in ISO 8601 format, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa",
      "type": "transactions",
      "attributes": {
        "createdAt": "2024-12-11T16:23:37.732Z",
        "simplifiedState": "completed",
        "transactionType": "BankWithdrawalTransaction",
        "amount": "-1.01",
        "reference": null
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "transactionDetails": {
          "data": {
            "type": "bank_withdrawal_transactions",
            "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa",
      "type": "bank_withdrawal_transactions",
      "attributes": {
        "absorbFees": true,
        "createdAt": "2024-12-11T16:23:37.690Z",
        "updatedAt": "2024-12-11T16:23:37.690Z",
        "state": "completed",
        "iban": "LT563400023810000822",
        "beneficiaryName": "Acme",
        "reference": "Fiat payout from Txn to Acme",
        "paymentStatus": "created",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME",
        "currency": "EUR",
        "amount": "1.01",
        "payAmount": "1.00",
        "fee": "0.01"
      },
      "relationships": {
        "bankAccount": {
          "data": {
            "type": "bank_accounts",
            "id": "a754cd82-74a0-4c1c-a832-e83445bce2c5"
          }
        },
        "account": {
          "data": {
            "type": "accounts",
            "id": "acd50522-de49-4aaa-a183-dc046ff27fd5"
          }
        }
      }
    },
    {
      "id": "a754cd82-74a0-4c1c-a832-e83445bce2c5",
      "type": "bank_accounts",
      "attributes": {
        "beneficiaryName": "Acme",
        "currencyCode": "EUR",
        "iban": "LT563400023810000822",
        "createdAt": "2024-12-07T11:42:27.571Z",
        "updatedAt": "2024-12-07T11:42:27.571Z",
        "bankBic": "GUPULT22XXX",
        "bankName": "GURU PAY"
      }
    },
    {
      "id": "acd50522-de49-4aaa-a183-dc046ff27fd5",
      "type": "accounts",
      "attributes": {
        "currencyCode": "EUR",
        "balance": "25609.70",
        "currencyType": "fiat"
      },
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {
    "page": "1",
    "per_page": "1",
    "total": 34
  },
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/fiat-settlements/listing-bank-withdrawals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
